# Setup App Ratings & Reviews

Use **In-App Surveys** to show rating surveys and optionally redirect users to the store. Configure surveys in the Luciq dashboard and use the Surveys API to show them.

### Show survey if available

Surveys are targeted from the dashboard. To show one when available:

{% code title="Kotlin" %}

```kotlin
SurveysKmp.showSurveyIfAvailable()
```

{% endcode %}

### Show a specific survey

If you have the survey token:

{% code title="Kotlin" %}

```kotlin
SurveysKmp.showSurvey(token = "YOUR_SURVEY_TOKEN")
```

{% endcode %}

### App Store URL (iOS)

For app rating surveys on iOS, set the App Store URL so the “Rate us” action opens the correct page:

{% code title="Kotlin" %}

```kotlin
SurveysKmp.setAppStoreURL("https://apps.apple.com/app/id123456789")
```

{% endcode %}

This is a no-op on Android.

### Redirect to store

Notify Luciq when the app is about to redirect the user to the store (e.g. after a rating):

{% code title="Kotlin" %}

```kotlin
LuciqKmp.willRedirectToStore()
```

{% endcode %}

See [Setup In-App Surveys](/kmp/setup-luciq-for-kmp/setup-in-app-surveys.md) for more options (welcome screen, callbacks, auto-show).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-app-ratings-and-reviews.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
